Subject: Pelmet Returns (fwd)

From: "Judith E. Schrier" <[email-masked]>
Date: Tue, 14 Jan 2003 09:40:21 EST

>Judith E. Schrier (SCrowley 1, JDMS 1=TOTAL 2)
>Pelmet: (n) a small Siberian dumpling filled with meat,
>boiled in broth, and usually served with sour cream.
 
>"And one. Possibly because I haven't had my breakfast." -JDMS
>"Definitely, we do. YURT ALERT! YURT ALERT!" -Hutch
>"That you, Judith? Linda PS  It does have the same shape as my def, but is
>much tastier, I'm sure." -Linda
>"And the recipe was surely borrowed by the abovementioned Mongols, cooking
>away in their... never mind." - J-J

Actually, the little Siberian dumplings I described are called
pelmen'ya.  They are the same, basically, as kreplach or
won ton, except that they are served with sour cream instead
of in broth.  I assume that they came to Siberia as Chinese
won ton, got renamed, wandered into Russia (where they are
known as "Siberian pelmen'ya") and were picked up by the Jews.
 
They are the reason I gave two points to the Mongolian shield...
 
love, judith